# README #

This is an extension for the roundup-issue-tracker.
You can use it to get the possibility to sort table-entrys by drag and drop

You can, for example, sort your backlog with that.

### Features ###

* Sort a table by hand using the jQuery UI (https://jqueryui.com/)
* Updates a "Sequence-number". The Sequence number depends on the surrounding Sequence numbers in the table (to sort a backlog)
* write back the updated sequence number asynchronously

### What are these files ###

The folder "classicDND" is a roundup template.
Copy it into your roundup-folder to use it

"test_dnd_webpage / js / roundnd.js" is the actual source for the program.

### How to set up a demo ###

* Download roundup 1.5.1 from http://roundup.sourceforge.net/
* put the "classicDND" to roundup-1.5.1/share/roundup/templates
* in the root directory of roundup run "python2 -t classicDND nuke"
* use your webbrowser to access your roundup demo 
* (should be on http://localhost:8917/demo/ will, however, displayed in your terminal window)
* login with demo demo
* create some tickes, give them a sequence-number
* go to "Show All" - you should now be able to sort the issues around using grad and drop

### Install on other templates ###

the classicDND template is obviously a modified "classic" template.
To see what the required changes to a template are simply create yourself a
diff between the classicDND-template and the classic-template.

We will always need some kind of sorting index, in this instance it is called
"Sequence".

In the current configuration, since the "classic" template is a old fashioned
html-table layout and does not got css-classes, the column of the sequence-number
will NOT be located automatically. You will have to edit the java-script file 
if you need the sequence-number in an other column of the table than the second.

### Licenses ###

The template folder is a modification of the roundup-classic-template and therefore under the **roundup-license**. See this for details
http://www.roundup-tracker.org/docs/license.html

To make testing and installation easier there is a copy of jQuery and jQueryUI included.

jQuery got its own License which can be seen here:
https://github.com/jquery/jquery/blob/master/LICENSE.txt

jQuery UIs license can be found here:
https://github.com/jquery/jquery-ui/blob/master/LICENSE.txt

All other files are licensed GPL >= v2, see LICENSE.txt for details